/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.properties.resourcebundle;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoProperties]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 * 既知のロケール<BR>
 * <UL>
 * <LI>ja
 * </UL>
 */
public class BlancoPropertiesResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoPropertiesResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoProperties]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoPropertiesResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/properties/resourcebundle/BlancoProperties");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoPropertiesResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoProperties]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoPropertiesResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/properties/resourcebundle/BlancoProperties", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoPropertiesResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoProperties]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoPropertiesResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/properties/resourcebundle/BlancoProperties", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[BlancoProperties], key[SYMBOLIC_NAME_SUFFIX_WITHOUT_LOCALE]
     *
     * [nl_] (ja)<br>
     *
     * @return key[SYMBOLIC_NAME_SUFFIX_WITHOUT_LOCALE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getSymbolicNameSuffixWithoutLocale() {
        // 初期値として定義書の値を利用します。
        String strFormat = "nl_";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("SYMBOLIC_NAME_SUFFIX_WITHOUT_LOCALE");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoProperties], key[MANIFEST_Bundle_Vendor]
     *
     * [Blanco Framework] (ja)<br>
     *
     * @return key[MANIFEST_Bundle_Vendor]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getManifestBundleVendor() {
        // 初期値として定義書の値を利用します。
        String strFormat = "Blanco Framework";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MANIFEST_Bundle_Vendor");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }
}
